javax.servlet.descriptor

## Interface JspPropertyGroupDescriptor

-     public interface JspPropertyGroupDescriptor

  This interface provides access to the `<jsp-property-group>` related configuration of a web application.

  The configuration is aggregated from the `web.xml` and `web-fragment.xml` descriptor files of the web application.

  Since:
    Servlet 3.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBuffer()` Gets the value of the `buffer` configuration, which specifies the default size of the response buffer for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
    `String` | `getDefaultContentType()` Gets the value of the `default-content-type` configuration, which specifies the default response content type for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
    `String` | `getDeferredSyntaxAllowedAsLiteral()` Gets the value of the `deferred-syntax-allowed-as-literal` configuration, which specifies whether the character sequence `"#{"`, which is normally reserved for Expression Language (EL) expressions, will cause a translation error if it appears as a String literal in any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
    `String` | `getElIgnored()` Gets the value of the `el-ignored` configuration, which specifies whether Expression Language (EL) evaluation is enabled for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
    `String` | `getErrorOnUndeclaredNamespace()` Gets the value of the `error-on-undeclared-namespace` configuration, which specifies whether an error will be raised at translation time if tag with an undeclared namespace is used in any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
    `Collection<String>` | `getIncludeCodas()` Gets the `include-coda` configuration of the JSP property group represented by this `JspPropertyGroupDescriptor`.
    `Collection<String>` | `getIncludePreludes()` Gets the `include-prelude` configuration of the JSP property group represented by this `JspPropertyGroupDescriptor`.
    `String` | `getIsXml()` Gets the value of the `is-xml` configuration, which specifies whether any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor` will be treated as JSP documents (XML syntax).
    `String` | `getPageEncoding()` Gets the value of the `page-encoding` configuration, which specifies the default page encoding for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
    `String` | `getScriptingInvalid()` Gets the value of the `scripting-invalid` configuration, which specifies whether scripting is enabled for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
    `String` | `getTrimDirectiveWhitespaces()` Gets the value of the `trim-directive-whitespaces` configuration, which specifies whether template text containing only whitespaces must be removed from the response output of any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
    `Collection<String>` | `getUrlPatterns()` Gets the URL patterns of the JSP property group represented by this `JspPropertyGroupDescriptor`.

- - ### Method Detail

    - #### getUrlPatterns

          Collection<String> getUrlPatterns()

      Gets the URL patterns of the JSP property group represented by this `JspPropertyGroupDescriptor`.

      Any changes to the returned `Collection` must not affect this `JspPropertyGroupDescriptor`.

      Returns:
        a (possibly empty) `Collection` of the URL patterns of the JSP property group represented by this `JspPropertyGroupDescriptor`

    - #### getElIgnored

          String getElIgnored()

      Gets the value of the `el-ignored` configuration, which specifies whether Expression Language (EL) evaluation is enabled for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
      Returns:
        the value of the `el-ignored` configuration, or null if unspecified

    - #### getPageEncoding

          String getPageEncoding()

      Gets the value of the `page-encoding` configuration, which specifies the default page encoding for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
      Returns:
        the value of the `page-encoding` configuration, or null if unspecified

    - #### getScriptingInvalid

          String getScriptingInvalid()

      Gets the value of the `scripting-invalid` configuration, which specifies whether scripting is enabled for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
      Returns:
        the value of the `scripting-invalid` configuration, or null if unspecified

    - #### getIsXml

          String getIsXml()

      Gets the value of the `is-xml` configuration, which specifies whether any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor` will be treated as JSP documents (XML syntax).
      Returns:
        the value of the `is-xml` configuration, or null if unspecified

    - #### getIncludePreludes

          Collection<String> getIncludePreludes()

      Gets the `include-prelude` configuration of the JSP property group represented by this `JspPropertyGroupDescriptor`.

      Any changes to the returned `Collection` must not affect this `JspPropertyGroupDescriptor`.

      Returns:
        a (possibly empty) `Collection` of the `include-prelude` configuration of the JSP property group represented by this `JspPropertyGroupDescriptor`

    - #### getIncludeCodas

          Collection<String> getIncludeCodas()

      Gets the `include-coda` configuration of the JSP property group represented by this `JspPropertyGroupDescriptor`.

      Any changes to the returned `Collection` must not affect this `JspPropertyGroupDescriptor`.

      Returns:
        a (possibly empty) `Collection` of the `include-coda` configuration of the JSP property group represented by this `JspPropertyGroupDescriptor`

    - #### getDeferredSyntaxAllowedAsLiteral

          String getDeferredSyntaxAllowedAsLiteral()

      Gets the value of the `deferred-syntax-allowed-as-literal` configuration, which specifies whether the character sequence `"#{"`, which is normally reserved for Expression Language (EL) expressions, will cause a translation error if it appears as a String literal in any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
      Returns:
        the value of the `deferred-syntax-allowed-as-literal` configuration, or null if unspecified

    - #### getTrimDirectiveWhitespaces

          String getTrimDirectiveWhitespaces()

      Gets the value of the `trim-directive-whitespaces` configuration, which specifies whether template text containing only whitespaces must be removed from the response output of any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
      Returns:
        the value of the `trim-directive-whitespaces` configuration, or null if unspecified

    - #### getDefaultContentType

          String getDefaultContentType()

      Gets the value of the `default-content-type` configuration, which specifies the default response content type for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
      Returns:
        the value of the `default-content-type` configuration, or null if unspecified

    - #### getBuffer

          String getBuffer()

      Gets the value of the `buffer` configuration, which specifies the default size of the response buffer for any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
      Returns:
        the value of the `buffer` configuration, or null if unspecified

    - #### getErrorOnUndeclaredNamespace

          String getErrorOnUndeclaredNamespace()

      Gets the value of the `error-on-undeclared-namespace` configuration, which specifies whether an error will be raised at translation time if tag with an undeclared namespace is used in any JSP pages mapped to the JSP property group represented by this `JspPropertyGroupDescriptor`.
      Returns:
        the value of the `error-on-undeclared-namespace` configuration, or null if unspecified

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.